Package org.apache.tapestry5.spock

## Class TapestryInterceptor

- java.lang.Object
- - org.spockframework.runtime.extension.AbstractMethodInterceptor
  - - org.apache.tapestry5.spock.TapestryInterceptor

- All Implemented Interfaces:
    `org.spockframework.runtime.extension.IMethodInterceptor`

      public class TapestryInterceptor
      extends org.spockframework.runtime.extension.AbstractMethodInterceptor

  Controls creation, startup and shutdown of the Tapestry container, and injects specifications with Tapestry-provided objects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryInterceptor​(org.spockframework.runtime.model.SpecInfo spec, java.util.Set<java.lang.Class<?>> modules)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `interceptCleanupSpecMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)` |
    `void` | `interceptInitializerMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)` |
    `void` | `interceptSharedInitializerMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)` |

    - ### Methods inherited from class org.spockframework.runtime.extension.AbstractMethodInterceptor

      `intercept, interceptCleanupMethod, interceptDataProcessorMethod, interceptDataProviderMethod, interceptFeatureExecution, interceptFeatureMethod, interceptIterationExecution, interceptSetupMethod, interceptSetupSpecMethod, interceptSpecExecution`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryInterceptor

          public TapestryInterceptor​(org.spockframework.runtime.model.SpecInfo spec,
                                     java.util.Set<java.lang.Class<?>> modules)

  - ### Method Detail

    - #### interceptSharedInitializerMethod

          public void interceptSharedInitializerMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)
                                                throws java.lang.Throwable

      Overrides:
        `interceptSharedInitializerMethod` in class `org.spockframework.runtime.extension.AbstractMethodInterceptor`
      Throws:
        `java.lang.Throwable`

    - #### interceptCleanupSpecMethod

          public void interceptCleanupSpecMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)
                                          throws java.lang.Throwable

      Overrides:
        `interceptCleanupSpecMethod` in class `org.spockframework.runtime.extension.AbstractMethodInterceptor`
      Throws:
        `java.lang.Throwable`

    - #### interceptInitializerMethod

          public void interceptInitializerMethod​(org.spockframework.runtime.extension.IMethodInvocation invocation)
                                          throws java.lang.Throwable

      Overrides:
        `interceptInitializerMethod` in class `org.spockframework.runtime.extension.AbstractMethodInterceptor`
      Throws:
        `java.lang.Throwable`